IDN Funções
idn_to_unicode
IDN Funções
PHP Manual

# idn_to_ascii

(PHP 5 >= 5.3.0, PECL intl >= 1.0.2)

idn_to_ascii — Convert domain name to IDNA ASCII form.

### Descrição

Procedural style

string idn_to_ascii ( string `$domain` [, int `$options` ] )

This function converts Unicode domain name to IDNA ASCII-compatible format.

### Parâmetros

`domain`

  Domain to convert. In PHP 5 must be UTF-8 encoded.

`options`

  Conversion options - combination of IDNA_* constants.

### Valor Retornado

Domain name encoded in ASCII-compatible form.

### Exemplos

Exemplo #1 idn_to_ascii() example

`<?php
echo idn_to_ascii('täst.de');
?>`

O exemplo acima irá imprimir:

    xn--tst-qla.de

### Veja Também

- idn_to_unicode() - Sinônimo de idn_to_utf8

IDN Funções
idn_to_unicode
IDN Funções
PHP Manual